<?php $__env->startSection('title'); ?>
<?php echo e(__('Register')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<section class="rock-auth-section fix">
    <div class="container">
        <div class="rock-auth-wrapper">
            <div class="rock-auth-main">
                <div class="rock-auth-logo">
                    <a href="<?php echo e(route('home')); ?>">
                        <img src="<?php echo e(asset(setting('site_logo','global'))); ?>" alt="logo">
                    </a>
                </div>
                <div class="rock-auth-main-inner">
                    <div class="rock-auth-from">
                        <div class="rock-auth-content">
                            <h3 class="title"><?php echo e($data['title']); ?></h3>
                            <p class="description"><?php echo e($data['bottom_text']); ?></p>
                        </div>
                        <?php if($errors->any()): ?>
                        <div class="alert alert-warning alert-dismissible fade show" role="alert">
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <strong><?php echo e($error); ?></strong>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                        <?php endif; ?>
                        <form action="<?php echo e(route('register')); ?>" id="signUpForm" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="row gy-24">
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="first_name"><?php echo e(__('First Name')); ?><span>*</span></label>
                                        <div class="input-field">
                                            <input type="text" name="first_name" value="<?php echo e(old('first_name')); ?>">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="last_name"><?php echo e(__('Last Name')); ?><span>*</span></label>
                                        <div class="input-field">
                                            <input type="text" name="last_name" value="<?php echo e(old('last_name')); ?>">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="email"><?php echo e(__('Email Address')); ?><span>*</span></label>
                                        <div class="input-field">
                                            <input type="email" name="email" value="<?php echo e(old('email')); ?>">
                                        </div>
                                    </div>
                                </div>
                                <?php if(getPageSetting('username_show')): ?>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="username"><?php echo e(__('Username')); ?><span>*</span></label>
                                        <div class="input-field">
                                            <input type="text" name="username" value="<?php echo e(old('username')); ?>">
                                        </div>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <?php if(getPageSetting('country_show')): ?>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="c-select"><?php echo e(__('Select Country')); ?><span>*</span></label>
                                        <div class="input-select">
                                            <select name="country" id="countrySelect">
                                                <?php $__currentLoopData = getCountries(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option <?php if( $location->country_code == $country['code']): ?> selected
                                                    <?php endif; ?> value="<?php echo e($country['name'].':'.$country['dial_code']); ?>">
                                                    <?php echo e($country['name']); ?>

                                                </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <?php if(getPageSetting('phone_show')): ?>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="phonen"><?php echo e(__('Phone Number')); ?><span>*</span></label>
                                        <div class="input-field input-group">
                                            <span class="input-group-text"
                                                id="dial-code"><?php echo e(getLocation()->dial_code); ?></span>
                                            <input type="text" name="phone" value="<?php echo e(old('phone')); ?>">
                                        </div>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <?php if(getPageSetting('referral_code_show')): ?>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="invite"><?php echo e(__('Referral Code')); ?><span>*</span></label>
                                        <div class="input-field">
                                            <input type="text" name="invite"
                                                value="<?php echo e(request('invite') ?? old('invite')); ?>">
                                        </div>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="password"><?php echo e(__('Password')); ?><span>*</span></label>
                                        <div class="input-field">
                                            <input type="password" name="password">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                    <div class="rock-single-input">
                                        <label class="rock-input-label"
                                            for="cpassword"><?php echo e(__('Confirm Password')); ?><span>*</span></label>
                                        <div class="input-field">
                                            <input type="password" name="password_confirmation">
                                        </div>
                                    </div>
                                </div>
                                <?php if($googleReCaptcha): ?>
                                <div class="g-recaptcha" id="feedback-recaptcha"
                                    data-sitekey="<?php echo e(json_decode($googleReCaptcha->data,true)['google_recaptcha_key']); ?>">
                                </div>
                                <?php endif; ?>
                                <div class="rock-auth-checkbox">
                                    <input id="terms_condition" type="checkbox" name="i_agree" value="yes">
                                    <label class="terms-condition" for="terms_condition">
                                        <?php echo e(__('I agree with')); ?>

                                        <a href="<?php echo e(url('/privacy-policy')); ?>"><?php echo e(__('Privacy & Policy')); ?></a>
                                        <?php echo e(__('and')); ?>

                                        <a href="<?php echo e(url('/terms-and-conditions')); ?>"><?php echo e(__('Terms & Condition')); ?></a>
                                    </label>
                                </div>
                            </div>
                        </form>
                        <div class="rock-auth-bottm">
                            <div class="rock-auth-btn">
                                <button class="site-btn gradient-btn xs-w-100" form="signUpForm"
                                    type="submit"><?php echo e(__('Create Account')); ?></button>
                            </div>
                            <p><?php echo e(__('Already have an account?')); ?>

                                <a href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="rock-auth-shapes">
                <div class="shape-one">
                    <img src="<?php echo e(asset('frontend/theme_base/hardrock/images/rock-shapes/auth/auth-01.png')); ?>"
                        alt="auth shape">
                </div>
                <div class="shape-two">
                    <img src="<?php echo e(asset('frontend/theme_base/hardrock/images/rock-shapes/auth/auth-02.png')); ?>"
                        alt="auth shape">
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<?php if($googleReCaptcha): ?>
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<?php endif; ?>
<script>
    $('#countrySelect').on('change', function (e) {
        "use strict";
        e.preventDefault();
        var country = $(this).val();
        $('#dial-code').html(country.split(":")[1])
    })

</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend::layouts.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/connectto/public_html/youngstartest.top/app/Providers/../../resources/views/frontend/investify/auth/register.blade.php ENDPATH**/ ?>