<?php $__env->startSection('title'); ?>
    <?php echo e(__('Counter Section')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php
        $data = new Illuminate\Support\Fluent($groupData['en']);
    ?>

    <div class="main-content">
        <div class="page-title">
            <div class="container-fluid">
                <div class="row justify-content-center">
                    <div class="col-xl-12">
                        <div class="title-content">
                            <h2 class="title"><?php echo e(__('Counter Section')); ?></h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row justify-content-center">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
                    <div class="site-card">
                        <div class="site-card-header">
                            <h3 class="title"><?php echo e(__('Activity and Background')); ?></h3>
                        </div>
                        <div class="site-card-body">
                            <form action="<?php echo e(route('admin.page.section.section.update')); ?>" method="post"
                                  enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" name="section_code" value="counter">
                                <input type="hidden" name="section_locale" value="en">
                                <div class="site-input-groups row">
                                    <label for="" class="col-sm-3 col-label pt-0"><?php echo e(__('Section Activity')); ?><i
                                            icon-name="info" data-bs-toggle="tooltip" title=""
                                            data-bs-original-title="Manage Section Visibility"></i></label>
                                    <div class="col-sm-3">
                                        <div class="site-input-groups">
                                            <div class="switch-field">
                                                <input type="radio" id="active" name="status" <?php if($status): ?> checked
                                                       <?php endif; ?> value="1"/>
                                                <label for="active"><?php echo e(__('Show')); ?></label>
                                                <input type="radio" id="deactivate" name="status" <?php if(!$status): ?> checked
                                                       <?php endif; ?> value="0"/>
                                                <label for="deactivate"><?php echo e(__('Hide')); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div class="site-input-groups row">
                                    <div class="col-xl-3 col-lg-3 col-md-3 col-sm-12 col-label">
                                        <?php echo e(__('Counter Background Image')); ?>

                                    </div>
                                    <div class="col-xl-9 col-lg-9 col-md-9 col-sm-12">
                                        <div class="wrap-custom-file">
                                            <input type="file" name="counter_bg_img" id="counterBgImg"
                                                   accept=".gif, .jpg, .png"/>
                                            <label for="counterBgImg" id="counter_bg_img"
                                                   <?php if($data->counter_bg_img): ?>  class="file-ok"
                                                   style="background-image: url(<?php echo e(asset($data->counter_bg_img)); ?>)" <?php endif; ?>>
                                                <img class="upload-icon"
                                                     src="<?php echo e(asset('global/materials/upload.svg')); ?>" alt=""/>
                                                <span><?php echo e(__('Update Image')); ?></span>
                                            </label>
                                            <?php $isHidden = $data->counter_bg_img; $img_field = 'counter_bg_img'; ?>
                <div data-des="<?php echo $img_field; ?>" <?php if(!$isHidden) echo 'hidden'; ?> class="close remove-img <?php echo $img_field; ?>"><i icon-name="x"></i></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="offset-sm-3 col-sm-9">
                                        <button type="submit"
                                                class="site-btn-sm primary-btn w-100"><?php echo e(__('Save Changes')); ?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>


                    <div class="site-card">
                        <div class="site-card-header">
                            <h3 class="title"><?php echo e(__('Counter Contents')); ?></h3>
                            <div class="card-header-links">
                                <a href="" class="card-header-link" type="button" data-bs-toggle="modal"
                                   data-bs-target="#addNew"><?php echo e(__('Add New')); ?></a>
                            </div>
                        </div>
                        <div class="site-card-body">
                            <div class="site-table table-responsive">
                                <table class="table">
                                    <thead>
                                    <tr>
                                        <th scope="col"><?php echo e(__('Icon')); ?></th>
                                        <th scope="col"><?php echo e(__('Title')); ?></th>
                                        <th scope="col"><?php echo e(__('Number')); ?></th>
                                        <th scope="col"><?php echo e(__('Action')); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__currentLoopData = $landingContent; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $content): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td>
                                                <img class="avatar" src="<?php echo e(asset($content->icon)); ?>" alt="">
                                            </td>
                                            <td>
                                                <?php echo e($content->title); ?>

                                            </td>
                                            <td><?php echo e($content->description); ?></td>
                                            <td>
                                                <button class="round-icon-btn primary-btn editContent" type="button"
                                                        data-id="<?php echo e($content->id); ?>">
                                                    <i icon-name="edit-3"></i>
                                                </button>
                                                <button class="round-icon-btn red-btn deleteContent" type="button"
                                                        data-id="<?php echo e($content->id); ?>">
                                                    <i icon-name="trash-2"></i>
                                                </button>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal for Add New  -->
    <?php echo $__env->make('backend.page.section.include.__add_new_counter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Modal for Add New How It Works End -->

    <!-- Modal for Edit -->
    <?php echo $__env->make('backend.page.section.include.__edit_counter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Modal for Edit  End-->

    <!-- Modal for Delete  -->
    <?php echo $__env->make('backend.page.section.include.__delete_counter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Modal for Delete  End-->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <?php echo $__env->make('backend.page.section.include.__section_image_remove', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script>
        $('.editContent').on('click', function (e) {
            "use strict";
            e.preventDefault();
            var id = $(this).data('id');

            var url = '<?php echo e(route("admin.page.content-edit", ":id")); ?>';
            url = url.replace(':id', id);

            $.ajax({
                url: url,
                type: 'GET',
                success: function (response) {
                    // Handle the response HTML
                    $('#target-element').html(response.html);
                    $('#editContent').modal('show');
                },
                error: function (xhr) {
                    // Handle any errors that occurred during the request
                    console.log(xhr.responseText);
                }
            });
        });

        $('.deleteContent').on('click', function (e) {
            "use strict";
            e.preventDefault();
            var id = $(this).data('id');
            $('#deleteId').val(id);
            $('#deleteContent').modal('show');
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/connectto/public_html/youngstartest.top/resources/views/backend/page/section/counter.blade.php ENDPATH**/ ?>