<?php $__env->startSection('title'); ?>
    <?php echo e(__('Schema Section')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="main-content">
        <div class="page-title">
            <div class="container-fluid">
                <div class="row justify-content-center">
                    <div class="col-xl-12">
                        <div class="title-content">
                            <h2 class="title"><?php echo e(__('Schema Section')); ?></h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="site-tab-bars">
            <ul class="nav nav-pills" id="pills-tab" role="tablist">
                <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li class="nav-item" role="presentation">
                        <a
                            href=""
                            class="nav-link  <?php echo e($loop->index == 0 ?'active' : ''); ?>"
                            id="pills-informations-tab"
                            data-bs-toggle="pill"
                            data-bs-target="#<?php echo e($language->locale); ?>"
                            type="button"
                            role="tab"
                            aria-controls="pills-informations"
                            aria-selected="true"
                        ><i icon-name="languages"></i><?php echo e($language->name); ?></a
                        >
                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


            </ul>
        </div>

        <div class="tab-content" id="pills-tabContent">

            <?php $__currentLoopData = $groupData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                <?php
                    $data = new Illuminate\Support\Fluent($value);
                ?>

                <div
                    class="tab-pane fade <?php echo e($loop->index == 0 ?'show active' : ''); ?>"
                    id="<?php echo e($key); ?>"
                    role="tabpanel"
                    aria-labelledby="pills-informations-tab"
                >

                    <div class="row">
                        <div class="col-xl-12">
                            <div class="site-card">
                                <div class="site-card-header">
                                    <h3 class="title"><?php echo e(__('Titles and Image')); ?></h3>
                                </div>
                                <div class="site-card-body">
                                    <form action="<?php echo e(route('admin.page.section.section.update')); ?>" method="post"
                                          enctype="multipart/form-data">
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="section_code" value="schema">
                                        <input type="hidden" name="section_locale" value="<?php echo e($key); ?>">

                                        <?php if($key == 'en'): ?>
                                            <div class="site-input-groups row">
                                                <label for=""
                                                       class="col-sm-3 col-label pt-0"><?php echo e(__('Section Activity')); ?><i
                                                        icon-name="info" data-bs-toggle="tooltip" title=""
                                                        data-bs-original-title="Manage Section Visibility"></i></label>
                                                <div class="col-sm-3">
                                                    <div class="site-input-groups">
                                                        <div class="switch-field">
                                                            <input type="radio" id="active" name="status"
                                                                   <?php if($status): echo 'checked'; endif; ?> value="1"/>
                                                            <label for="active"><?php echo e(__('Show')); ?></label>
                                                            <input type="radio" id="deactivate" name="status"
                                                                   <?php if(!$status): echo 'checked'; endif; ?> value="0"/>
                                                            <label for="deactivate"><?php echo e(__('Hide')); ?></label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endif; ?>

                                        <div class="site-input-groups row">
                                            <label for=""
                                                   class="col-sm-3 col-label"><?php echo e(__('Schema Title Small')); ?></label>
                                            <div class="col-sm-9">
                                                <input type="text" name="title_small" class="box-input"
                                                       value="<?php echo e($data->title_small); ?>">
                                            </div>
                                        </div>
                                        <div class="site-input-groups row">
                                            <label for=""
                                                   class="col-sm-3 col-label"><?php echo e(__('Schema Title Big')); ?></label>
                                            <div class="col-sm-9">
                                                <input type="text" name="title_big" class="box-input"
                                                       value="<?php echo e($data->title_big); ?>">
                                            </div>
                                        </div>
                                        <?php if($key == 'en'): ?>
                                            <div class="site-input-groups row">
                                                <div class="col-xl-3 col-lg-3 col-md-3 col-sm-12 col-label">
                                                    <?php echo e(__(' Schema Left Top Image')); ?>

                                                </div>
                                                <div class="col-xl-9 col-lg-9 col-md-9 col-sm-12">
                                                    <div class="wrap-custom-file">
                                                        <input type="file" name="left_top_img" id="schemaLeftTopImg"
                                                               accept=".gif, .jpg, .png"/>
                                                        <label for="schemaLeftTopImg" id="left_top_img"
                                                               <?php if($data->left_top_img): ?> class="file-ok"
                                                               style="background-image: url(<?php echo e(asset($data->left_top_img)); ?>)" <?php endif; ?>>
                                                            <img class="upload-icon"
                                                                 src="<?php echo e(asset('global/materials/upload.svg')); ?>"
                                                                 alt=""/>
                                                            <span><?php echo e(__('Update Image')); ?></span>
                                                        </label>
                                                        <?php $isHidden = $data->left_top_img; $img_field = 'left_top_img'; ?>
                <div data-des="<?php echo $img_field; ?>" <?php if(!$isHidden) echo 'hidden'; ?> class="close remove-img <?php echo $img_field; ?>"><i icon-name="x"></i></div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endif; ?>

                                        <div class="row">
                                            <div class="offset-sm-3 col-sm-9">
                                                <button type="submit"
                                                        class="site-btn-sm primary-btn w-100"><?php echo e(__('Save Changes')); ?></button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="section-design-nb">
                                <strong><?php echo e(__('NB:')); ?></strong><?php echo e(__('All Schemas will come from')); ?> <a
                                    href="<?php echo e(route('admin.schema.index')); ?>"><?php echo e(__('Schemas')); ?></a> <?php echo e(__('page')); ?>

                            </div>
                        </div>
                    </div>
                </div>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <?php echo $__env->make('backend.page.section.include.__section_image_remove', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/connectto/public_html/youngstartest.top/resources/views/backend/page/section/schema.blade.php ENDPATH**/ ?>